package com.mmsoftdesign.cloud.handlers;

/**
 * Handler for command received events.
 * 
 * @author calin.perebiceanu
 * 
 */
public interface CommandReceivedHandler {
	/**
	 * Occurs when a command is received from the mobile/third party
	 * application.
	 * 
	 * @param commandId
	 *            id of the command
	 * @param mobileDeviceIdentifier
	 *            identifier for mobile/third party application
	 */
	public void onCommandReceived(int commandId, String mobileDeviceIdentifier);
}
