package com.mmsoftdesign.cloud.handlers;

/**
 * Handler for page command received events.
 * 
 * @author calin.perebiceanu
 * 
 */
public interface PageCommandReceivedHandler {
	/**
	 * Occurs when a page command is received from the mobile/third party
	 * application.
	 * 
	 * @param pageId
	 *            id of the page
	 * @param commandId
	 *            id of the command
	 * @param mobileDeviceIdentifier
	 *            identifier for mobile/third party application
	 */
	public void onPageCommandReceived(int pageId, int commandId,
			String mobileDeviceIdentifier);
}
