package com.mmsoftdesign.cloud.handlers;

/**
 * Handler for page request events.
 * 
 * @author calin.perebiceanu
 * 
 */
public interface PageRequestHandler {
	/**
	 * Occurs when a page details are requested by the mobile/third party
	 * application.
	 * 
	 * @param pageId
	 *            id of the page
	 * @param mobileDeviceIdentifier
	 *            identifier for mobile/third party application
	 */
	public void onPageRequest(int pageId, String mobileDeviceIdentifier);
}
